package org.gcube.common.security.secrets;

import java.util.Map;

import org.gcube.common.security.Caller;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public abstract class Secret {
	
	public abstract Caller getCaller();
	
	public abstract String getContext();
	
	public abstract Map<String,String> getHTTPAuthorizationHeaders();
	
	public abstract boolean isExpired();
	
	public abstract boolean isRefreshable();
	
}
